com.google.gwt.typedarrays.shared

## Interface Uint8Array

- All Superinterfaces:
    ArrayBufferView
  All Known Subinterfaces:
    Uint8ClampedArray
  All Known Implementing Classes:
    Uint8ArrayImpl, Uint8ArrayNative, Uint8ClampedArrayImpl, Uint8ClampedArrayNativeEmul

      public interface Uint8Array
      extends ArrayBufferView

  A view representing an `ArrayBuffer` as 8-bit unsigned integers. Storing out-of-range values are mapped to valid values by taking the bottom 8 bits of the value as an unassigned. "http://www.khronos.org/registry/typedarray/specs/latest/#7"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BYTES_PER_ELEMENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `get(int index)` Retrieve one element of this view.
    `int` | `length()` The length in elements of this view.
    `void` | `set(int[] array)` Set multiple elements in this view from an array, storing starting at 0.
    `void` | `set(int[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
    `void` | `set(int index, int value)` Set one element in this view.
    `void` | `set(short[] array)` Set multiple elements in this view from an array, storing starting at 0.
    `void` | `set(short[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
    `void` | `set(Uint8Array array)` Set multiple elements in this view from another view, storing starting at 0.
    `void` | `set(Uint8Array array, int offset)` Set multiple elements in this view from another view, storing starting at the requested offset.
    `Uint8Array` | `subarray(int begin)` Create a new view from the same array, from `offset` to the end of this view.
    `Uint8Array` | `subarray(int begin, int end)` Create a new view from the same array, from `offset` to (but not including) `end` in this view.

    - ### Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView

      `buffer, byteLength, byteOffset`

- - ### Field Detail

    - #### BYTES_PER_ELEMENT

          static final int BYTES_PER_ELEMENT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### length

          int length()

      The length in elements of this view.
      Returns:
        non-negative length

    - #### get

          short get(int index)

      Retrieve one element of this view.
      Parameters:
        `index` -
      Returns:
        the requested element, 0-255

    - #### set

          void set(int index,
                   int value)

      Set one element in this view.
      Parameters:
        `index` -
        `value` -

    - #### set

          void set(Uint8Array array)

      Set multiple elements in this view from another view, storing starting at 0.
      Parameters:
        `array` -

    - #### set

          void set(Uint8Array array,
                   int offset)

      Set multiple elements in this view from another view, storing starting at the requested offset.
      Parameters:
        `array` -
        `offset` -

    - #### set

          void set(int[] array)

      Set multiple elements in this view from an array, storing starting at 0.
      Parameters:
        `array` -

    - #### set

          void set(int[] array,
                   int offset)

      Set multiple elements in this view from an array, storing starting at the requested offset.
      Parameters:
        `array` -
        `offset` -

    - #### set

          void set(short[] array)

      Set multiple elements in this view from an array, storing starting at 0.
      Parameters:
        `array` -

    - #### set

          void set(short[] array,
                   int offset)

      Set multiple elements in this view from an array, storing starting at the requested offset.
      Parameters:
        `array` -
        `offset` -

    - #### subarray

          Uint8Array subarray(int begin)

      Create a new view from the same array, from `offset` to the end of this view. These offset is clamped to legal indices into this view, so it is not an error to specify an invalid index.
      Parameters:
        `begin` - offset into this view if non-negative; if negative, an index from the end of this view
      Returns:
        a new `Uint8Array` instance

    - #### subarray

          Uint8Array subarray(int begin,
                              int end)

      Create a new view from the same array, from `offset` to (but not including) `end` in this view. These indices are clamped to legal indices into this view, so it is not an error to specify invalid indices.
      Parameters:
        `begin` - offset into this view if non-negative; if negative, an index from the end of this view
        `end` - offset into this view if non-negative; if negative, an index from the end of this view
      Returns:
        a new `Uint8Array` instance